curl --request PUT \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/threads/{threadId}/assignee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actorId": "<string>"
}
'{
"archived": true,
"associatedContactId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"inboxId": "<string>",
"originalChannelAccountId": "<string>",
"originalChannelId": "<string>",
"spam": true,
"status": "CLOSED",
"assignedTo": "<string>",
"closedAt": "2023-11-07T05:31:56Z",
"latestMessageReceivedTimestamp": "2023-11-07T05:31:56Z",
"latestMessageSentTimestamp": "2023-11-07T05:31:56Z",
"latestMessageTimestamp": "2023-11-07T05:31:56Z",
"threadAssociations": {
"associatedTicketId": "<string>"
}
}Assign a specific actor to a conversation thread in your HubSpot account. This operation allows you to set or change the assignee for a thread, which can help in managing and organizing conversations more effectively.
curl --request PUT \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/threads/{threadId}/assignee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actorId": "<string>"
}
'{
"archived": true,
"associatedContactId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"inboxId": "<string>",
"originalChannelAccountId": "<string>",
"originalChannelId": "<string>",
"spam": true,
"status": "CLOSED",
"assignedTo": "<string>",
"closedAt": "2023-11-07T05:31:56Z",
"latestMessageReceivedTimestamp": "2023-11-07T05:31:56Z",
"latestMessageSentTimestamp": "2023-11-07T05:31:56Z",
"latestMessageTimestamp": "2023-11-07T05:31:56Z",
"threadAssociations": {
"associatedTicketId": "<string>"
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Whether this thread is archived.
The ID of the associated Contact in the CRM. If the Contact for the thread has not yet been added or created, the associatedContactId returned will be a visitorID and cannot be used to search for the Contact in the CRM.
When the thread was created.
The unique ID of the thread.
The ID of the conversations inbox containing the thread.
Whether the thread is marked as spam.
The thread's status: OPEN or CLOSED.
CLOSED, OPEN When the thread was closed. Only set if the thread is closed.
The time that the latest message was sent on the thread.
The time that the latest message was sent on the thread.
The time that the latest message was sent or received on the thread.
Show child attributes
Was this page helpful?